> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Workflow

> Partially update a workflow. Published workflows may still be edited.



## OpenAPI

````yaml /openapi.json patch /v1/orchestration/workflows/{workflow_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/orchestration/workflows/{workflow_id}:
    patch:
      tags:
        - orchestration
      summary: Patch Workflow
      description: Partially update a workflow. Published workflows may still be edited.
      operationId: patch_workflow_v1_orchestration_workflows__workflow_id__patch
      parameters:
        - in: path
          name: workflow_id
          required: true
          schema:
            title: Workflow Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowPatchBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Patch Workflow V1 Orchestration Workflows  Workflow
                  Id  Patch
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowPatchBody:
      properties:
        description:
          anyOf:
            - maxLength: 2000
              type: string
            - type: 'null'
          title: Description
        name:
          anyOf:
            - maxLength: 200
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        steps:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Steps
        trigger_type:
          anyOf:
            - enum:
                - manual
                - scheduled
                - event
              type: string
            - type: 'null'
          title: Trigger Type
      title: WorkflowPatchBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````